from flask import Flask
from flasgger import Swagger
from flask_cors import CORS

def create_app():
    app = Flask(__name__)
    CORS(app)
    Swagger(app)

    # 注册蓝图
    from .api import user
    app.register_blueprint(user.bp)

    return app
