from flask import Blueprint, jsonify

bp = Blueprint('user', __name__, url_prefix='/api/user')

@bp.route('/hello')
def hello():
    """
    用户模块测试接口
    ---
    responses:
      200:
        description: Hello from user module
    """
    return jsonify(message='Hello from user')
